List users
GET
/api/tenant/{tenantId}/Users
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.nimles.com/identity/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Users"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.nimles.com/identity/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Users';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.nimles.com/identity/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Users \ --header 'Authorization: Bearer <token>'Gets a list of users based on the provided filters. Results are restricted to the users the caller has access to based on their role assignments (tenant → resource-group hierarchy).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantId
required
string format: uuid
Your tenant id.
Query Parameters
Section titled “Query Parameters”onlyCurrentUser
boolean
True to return only the current user, false to return all users.
username
string
The username to filter users by.
verificationCode
string
The verification code to filter users by.
newPasswordCode
string
The new password code to filter users by.
email
string
One of the user’s email addresses, compared without regard to case.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
fields
object
key
additional properties
string
data
Array<object>
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
id
string format: uuid
relations
Array<object>
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
id
string format: uuid
name
string
entityId
required
string format: uuid
entityType
required
string
relationType
required
string
tenantId
string format: uuid
resourceGroupId
string format: uuid
creatorId
string format: uuid
createdDate
string format: date-time
version
integer format: int32
lastModified
string format: date-time
picture
string format: uuid
username
required
string
firstName
string
lastName
string
emails
Array<object>
object
address
required
string
isPrimary
boolean
isVerified
boolean
loginProviders
Array<object>
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
id
string format: uuid
name
required
string
identifier
required
string
phoneNumber
string
userNumber
integer format: int32
password
string
hasTempPassword
boolean
role
string
hasPassword
boolean
address
object
coAddress
string
state
string
country
string
name
string
firstName
string
lastName
string
street
string
postalCode
string
city
string
referrer
object
name
required
string
resourceId
required
string format: uuid
tenantId
required
string format: uuid
type
string
referrerId
string format: uuid
referrerTenantId
string format: uuid
referrerType
string
claims
Array<object>
object
claimType
required
string
claimValue
required
string
Example generated
{ "data": [ { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "relations": [ { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "entityId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "entityType": "example", "relationType": "example" } ], "tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "resourceGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "creatorId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdDate": "2026-04-15T12:00:00Z", "version": 1, "lastModified": "2026-04-15T12:00:00Z", "picture": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "username": "example", "firstName": "example", "lastName": "example", "emails": [ { "address": "example", "isPrimary": true, "isVerified": true } ], "loginProviders": [ { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "identifier": "example" } ], "phoneNumber": "example", "userNumber": 1, "password": "example", "hasTempPassword": true, "role": "example", "hasPassword": true, "address": { "coAddress": "example", "state": "example", "country": "example", "name": "example", "firstName": "example", "lastName": "example", "street": "example", "postalCode": "example", "city": "example" }, "referrer": { "name": "example", "resourceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "example" }, "referrerId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "referrerTenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "referrerType": "example", "claims": [ { "claimType": "example", "claimValue": "example" } ] } ]}Unauthorized: no bearer token, or one that is expired or not for this API.
Forbidden: the caller holds no role that allows this action at this scope. The body is empty, or a problem whose detail names the action.
Media typeapplication/json
An RFC 9457 problem.
object
detail
string
instance
string
status
integer format: int32
title
string
type
string
key
additional properties
Example generated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}